Bug Hunting Session
Bug 83191 - SPELLCHECK: starting apostrophe ignored
Summary: SPELLCHECK: starting apostrophe ignored
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
4.2.6.2 release
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-28 13:00 UTC by Ad Verburg
Modified: 2019-06-03 02:50 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot after spellcheck (30.45 KB, image/png)
2015-03-16 13:16 UTC, Ad Verburg
Details
printscreen of bug (81.95 KB, application/vnd.oasis.opendocument.text)
2015-03-16 14:31 UTC, raal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ad Verburg 2014-08-28 13:00:21 UTC
Problem description: Words starting with an apostrophe are marked as wrong, even if those words are copied from the involved dictionary.

Steps to reproduce:
1. Have available Hunspell and dictionary en_GB and/or nl_NL (other languages not tested)
2. In Writer enable spell-checking, and select the proper language and type a (correct spelled) word starting with an apostrophe, f.i. for GB: 'twixt<space>'mongst<space>'strewth<enter> 
Or for Dutch: 's-Gravenhage<space>'s-Graveland<enter>
3. Have a look, the red wave line is now marking the characters but not the apostrophe.
4. Right-click the marked word and choose the correct suggestion. This suggestion is pasted in after the starting apostrophe.
So you end up with two apostrophes instead of one.

Current behavior: improper word selection for words starting with an apostrophe. (see steps to reproduce)

Expected behavior: word selection including the apostrophe.

Notes: The same behaviour with openSuse as operating system.
From the command-line: hunspell -d nl_NL and then the word typed, gives an OK (*).

              
Operating System: Fedora
Version: 4.2.6.2 release
Comment 1 raal 2015-03-15 20:47:47 UTC
Version: 4.5.0.0.alpha0+
Build ID: 7f3628e54d4470cac6d51659d1b1bec5fb4f4e70
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-03-14_00:35:32

Words starting the apostrophe are not marked as wrong. When I type bad word after the apostrophe, I can select the correct word from dictionary and I doesn't see two apostrophes. Please could you retest with actual version (
http://www.libreoffice.org/download/libreoffice-fresh/ )  if bug still occurs
for you? Thank you
Comment 2 Robinson Tryon (qubit) 2015-03-16 04:14:25 UTC
(In reply to raal from comment #1)
> Words starting the apostrophe are not marked as wrong. When I type bad word
> after the apostrophe, I can select the correct word from dictionary and I
> doesn't see two apostrophes. Please could you retest with actual version (
> http://www.libreoffice.org/download/libreoffice-fresh/ )  if bug still occurs
> for you? Thank you

Status -> NEEDINFO
Comment 3 Ad Verburg 2015-03-16 13:16:16 UTC
Created attachment 114128 [details]
screenshot after spellcheck
Comment 4 Ad Verburg 2015-03-16 13:17:50 UTC
In reply on comment1:
The fresh version did not change my complain.
the only fact I noticed was that now there are different apostrophes, ' (U+0027) and ’(U=2019).
Have a look at the screen-print. Notice the red wave line after the correction, indicating there still is something wrong.
Ad.
Comment 5 raal 2015-03-16 14:31:29 UTC
Created attachment 114130 [details]
printscreen of bug

I can reproduce with Version: 4.4.1.2
ID build: 45e2de17089c24a1fa810c8f975a7171ba4cd432
OS> windows7
Comment 6 tommy27 2016-04-16 07:24:56 UTC Comment hidden (obsolete)
Comment 7 Ad Verburg 2016-04-16 09:19:21 UTC
Re-tested with a fresh download:
Version: 5.1.2.2
Build ID: d3bf12ecb743fc0d20e0be0c58ca359301eb705f
CPU Threads: 4; OS Version: Linux 4.5; UI Render: default; 
Locale: en-GB (en_GB.UTF-8)

And also re-tested with the openSuse version:
Version: 5.1.2.2.0+
Build ID: 10m0(Build:2)
CPU Threads: 4; OS Version: Linux 4.5; UI Render: default; 
Locale: en-GB (en_GB.UTF-8)

NO differences found between my original post and these two versions.
In other words: the problem still exists.
Comment 8 QA Administrators 2017-05-22 13:26:15 UTC Comment hidden (obsolete)
Comment 9 Ad Verburg 2017-05-31 11:28:01 UTC
re-tested with: Version: 5.3.2.2
Build ID: 30m0(Build:2)
CPU Threads: 4; OS Version: Linux 4.11; UI Render: default; VCL: gtk3; Layout Engine: new; 
Locale: en-GB (nl_NL.UTF-8); Calc: group

uname -a →
Linux MienLaptop 4.11.2-1-default #1 SMP PREEMPT Sat May 20 18:13:12 UTC 2017 (03903d8) x86_64 x86_64 x86_64 GNU/Linux

I do not see any improvement, in other words: the error still is here.
Comment 10 QA Administrators 2018-06-01 02:16:29 UTC Comment hidden (obsolete)
Comment 11 Ad Verburg 2018-06-02 12:56:17 UTC
tested with: Version: 6.0.4.2
Build ID: 00m0(Build:2)
CPU threads: 4; OS: Linux 4.16; UI render: default; VCL: gtk3; 
Locale: en-GB (en_US.UTF-8); Calc: group
NO change, (error still exist).
Comment 12 QA Administrators 2019-06-03 02:50:02 UTC
Dear Ad Verburg,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug